# Google Data APIs Client Library (1.43.0)

## com.google.gdata.data.spreadsheet
Enum Data.InsertionMode

    java.lang.Object
      java.lang.Enum<Data.InsertionMode>
          com.google.gdata.data.spreadsheet.Data.InsertionMode

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<Data.InsertionMode>

Enclosing class:
  Data

    public static enum Data.InsertionMode

extends java.lang.Enum<Data.InsertionMode>

Insertion mode.

Enum Constant Summary
`INSERT` A new row for each record.
`OVERWRITE` Overwrite following rows before inserting new rows.

Method Summary
`static Data.InsertionMode` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Data.InsertionMode[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### INSERT

    public static final Data.InsertionMode INSERT

  A new row for each record.

### OVERWRITE

    public static final Data.InsertionMode OVERWRITE

  Overwrite following rows before inserting new rows.

Method Detail

### values

    public static Data.InsertionMode[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Data.InsertionMode c : Data.InsertionMode.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Data.InsertionMode valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null